%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% tex4ht.env / .tex4ht (unix)           2005-05-17-01:25 %
% Copyright (C) 1997--2005        Eitan M. Gurari        %
%                                                        %
% This work may be distributed and/or modified under the %
% conditions of the LaTeX Project Public License, either %
% version 1.3 of this license or (at your option) any    %
% later version. The latest version of this license is   %
% in                                                     %
%   http://www.latex-project.org/lppl.txt                %
% and version 1.3 or later is part of all distributions  %
% of LaTeX version 2003/12/01 or later.                  %
%                                                        %
% This work has the LPPL maintenance status "maintained".%
%                                                        %
% This Current Maintainer of this work                   %
% is Eitan M. Gurari.                                    %
%                                                        %
%                             gurari@cse.ohio-state.edu  %
%                 http://www.cse.ohio-state.edu/~gurari  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Notes:                                                            %
%  1. Empty lines might be harmful                                  %
%  2. Tagged script segments <tag>...</tag> are scanned only if     %
%     their names are specified within -ctag switches of tex4ht.c   %
%     and t4ht.c. When -c switches are not supplied, a -cdefault    %
%     is implicitly assumed.                                        %
%        The tags <tag> and </tag>, but not their bodies, are       %
%     ignored if they are not located at the start of their lines.  %
%  3. Place this file in your work directory and/or root directory  %
%     and/or in directory `xxx' of your choice. In the latest case, %
%     compile tex4ht.c and t4ht.c with `#define ENVFILE xxx', or    %
%     provide the address of the file to tex4ht and t4ht throught   %
%     the -e switch                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% * Replace `path', and possibly what follows, with appropriate     %
%   content                                                         %
% * A path may start with:                                          %
%   ~ for environment variable HOME                                 %
%   ~~ for environment variable TEX4HTTFM                           %
% * A ! requests recursive search into subdirectories               %
% * Multiple t and i entries are allowed                            %
% * When supported by kpathsea                                      %
%   + t entries are ignored                                         %
%   + the path before /ht-fonts/ is ignored in i records that don't %
%     represent real addresses                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
t/sw/share/texmf-dist/fonts/tfm/!
%
<default>
i/sw/share/tex4ht/ht-fonts/iso8859/1/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/alias/!
i/sw/share/tex4ht/ht-fonts/mozilla/!
i/sw/share/tex4ht/ht-fonts/unicode/!
</default>

<mozhtf>
i/sw/share/tex4ht/ht-fonts/mozilla/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/alias/!
</mozhtf>

<iso2htf>
i/sw/share/tex4ht/ht-fonts/iso8859/2/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/alias/!
</iso2htf>

<iso5htf>
i/sw/share/tex4ht/ht-fonts/iso8859/5/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/alias/!
</iso5htf>

<iso7htf>
i/sw/share/tex4ht/ht-fonts/iso8859/7/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/alias/!
</iso7htf>


<iso15htf>
i/sw/share/tex4ht/ht-fonts/iso8859/15/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/alias/!
</iso15htf>

<koi8rhtf>
i/sw/share/tex4ht/ht-fonts/koi/8r/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/alias/!
</koi8rhtf>

<symhtf>
i/sw/share/tex4ht/ht-fonts/symbol/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/alias/!
</symhtf>

<win1251htf>
i/sw/share/tex4ht/ht-fonts/win/1251/!
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/alias/!
</win1251htf>

<unihtf>
i/sw/share/tex4ht/ht-fonts/unicode/!
i/sw/share/tex4ht/ht-fonts/ascii/!
i/sw/share/tex4ht/ht-fonts/alias/!
</unihtf>

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dvi-to-xxx                                                        %
%   choose one G-script                                             %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dvips options                                                     %
%   magnification: -x mag  (e.g., -x 1200)                          %
%   page size:     -T x,y  (e.g., -T 14in,14in)                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <convert>
 G.png
 Gdvips -E -q -Ppdf -f %%1 -pp %%2 > zz%%4.ps
 Ggs -sDEVICE=pngalpha -sOutputFile=%%3 -r110x110 -dEPSCrop -dBackgroundColor=16#ffffff -dTextAlphaBits=2 -dGraphicsAlphaBits=2 -q -dbatch -dNOPAUSE zz%%4.ps -c quit
 Grm zz%%4.ps    
G.svg
Gdvips -Ppdf -mode ibmvga -D 110 -f %%1 -pp %%2 > zz%%4.eps
Gpstoedit -f svg zz%%4.eps %%3
%-------------------%
  Gdvips -Ppdf -mode ibmvga -D 110 -f %%1 -pp %%2 > zz%%4.ps
  Ggs -sDEVICE=ppm -sOutputFile=zz%%4.ppm -r110x110 -dTextAlphaBits=2 -dGraphicsAlphaBits=2 -q -dbatch -dNOPAUSE zz%%4.ps -c quit
  Gconvert zz%%4.ppm  -crop 0x0 +page -density 150x150 zz%%4.png
  Gperl png2svgGDI.pl zz%%4.png
  Gperl svgGDI.pl zz%%4.svg %%3
  Grm zz%%4.ps
  Grm zz%%4.ppm
  Grm zz%%4.png
  Grm zz%%4.svg           
G.
Gdvips -E -Ppdf -mode ibmvga -D 110 -f %%1 -pp %%2  > zz%%4.ps
Gconvert  -trim +repage -density 150x150 zz%%4.ps %%3
Grm zz%%4.ps 
%--------- alternative instructions for old versions of convert
% Gconvert zz%%4.ps -trim -density 150x150 %%3
% Gconvert zz%%4.ps -crop 0x0 +repage -density 150x150 %%3
% Gconvert zz%%4.ps -crop 0x0 +page -density 150x150 %%3
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
 </convert>
<netpbm>
Gdvips -Ppdf -mode ibmvga -D 110 -f %%1 -pp %%2  > zz%%4.ps
Ggs -sDEVICE=ppm -r110 -sOutputFile=zz%%4.ppm -q -dbatch -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -dNOPAUSE zz%%4.ps -c quit
Gmv zz%%4.ppm temp.ppm
Gpnmcrop  temp.ppm > zz%%4.ppm
Gppmtopng -interlace -transparent 1,1,1 zz%%4.ppm > %%3
Grm zz%%4.ps
Grm zz%%4.ppm
Grm temp.ppm
% Gppmtogif -interlace -transparent 1,1,1 zz%%4.ppm > %%3 
</netpbm>
<dvipng>
G.png
Gdvipng -T tight -x 1400 -D 72 -bg Transparent -pp %%2:%%2 %%1 -o %%3
G.gif
Gdvipng -T tight -x 1400 -D 72 -bg Transparent -pp -gif %%2:%%2 %%1 -o %%3
G.
Gdvips -Ppdf -mode ibmvga -D 110 -f   > zz%%4.ps
Gconvert -crop 0x0 -density 150x150 zz%%4.ps %%3
Grm zz%%4.ps
</dvipng>

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Default scripts, shifted rightward 1 pos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 s--- needs --- %%1.idv[%%2] ==> %%3 ---
 b--- characters ---
 g.png
% empty bitmaps                                                     %
 Ecopy  empty.png %%1%%2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %
%
% * Address for an automatically created bookkeeping file           %
% * Ignored under kpathsea                                          %
% * The work directory is assumed for a default                     %
 l~/tex4ht.dir/tex4ht.fls
%
% t4ht -d%%2                                                        %
Mmv %%1 %%2%%3
Ccp %%1 %%2%%3
% t4ht -d%%2 -m%%1                                                  %
Achmod %%1 %%2%%3
% removed protection                                                %
S*
%
<validatehtml>
 .html xmllint --noout --valid --html %%1.html
</validatehtml>
<validate>
 .xml xmllint --noout --valid %%1.xml
 .html xmllint --noout --valid %%1.html
 .css mycssparser %%1.css
</validate>
 %
<oo>
%%% openoffice                                                      %
.4os mkdir sxw-%%0.dir
.4os mkdir sxw-%%0.dir/Pictures
.4os mv    %%1.4os         sxw-%%0.dir/settings.xml
.4os mv    %%0.xml         sxw-%%0.dir/content.xml
%                                                                   %
.4om mkdir sxw-%%0.dir/%%1
.4om mv    %%1.4om         sxw-%%0.dir/%%1/content.xml
.4om cp    sxw-%%0.dir/settings.xml  sxw-%%0.dir/%%1/settings.xml
%                                                                   %
.4of mkdir sxw-%%0.dir/META-INF
.4of mv    %%1.4of         sxw-%%0.dir/META-INF/manifest.xml
%                                                                   %
.4ot mv    %%1.4ot         sxw-%%0.dir/meta.xml
.4oy mv    %%1.4oy         sxw-%%0.dir/styles.xml
.4og cp -r %%1             sxw-%%0.dir/Pictures/%%1
%-- sxw --                                                          %
.4ox cd sxw-%%0.dir; zip -r %%0.sxw * ; cd ..
%                                                                   %
.4ox mv    sxw-%%0.dir/%%0.sxw .
%                                                                   %
.4ox rm    %%1.4ox
.4ox rm -r -f sxw-%%0.dir
%-- odt --                                                          %
.4od cd sxw-%%0.dir; zip -r %%0.odt * ; cd ..
%                                                                   %
.4od mv    sxw-%%0.dir/%%0.odt .
%                                                                   %
.4od rm    %%1.4od
.4od rm -r -f sxw-%%0.dir
%%% end openoffice                                                  %
</oo>
%
<javahelp>
.jhm java -jar ${HOME}/jh2.0/javahelp/bin/jhindexer.jar -db %%0-doc/%%1-jhs %%1*.html
</javahelp>
<javahelp1>
.jhm java -jar ${HOME}/jh1.1.3/javahelp/bin/jhindexer.jar -db %%0-doc/%%1-jhs %%1*.html
</javahelp1>

% end of file                                                       %

